%define pkg_name        CGI-Untaint
%define pkg_version     1.26
%define rpm_pkg_version 1.26
%define rpm_pkg_release 2.n0i.9

Summary:       Sanitize CGI input parameters
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TM/TMTM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(UNIVERSAL::require) >= 0.01}


%description
Dealing with large web based applications with multiple forms is a minefield.
It's often hard enough to ensure you validate all your input at all, without
having to worry about doing it in a consistent manner. If any of the
validation rules change, you often have to alter them in many different
places. And, if you want to operate taint-safe, then you're just adding even
more headaches.

This module provides a simple, convenient, abstracted and extensible manner
for validating and untainting the input from web forms.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Wed Jun 06 2007 Marius Feraru <altblue@n0i.net> - 1.26-2.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild on perl 5.8.8

* Wed Sep 21 2005 Marius Feraru <altblue@n0i.net> 1.26-1.n0i.8
- version 1.26

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.25-2.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.25-1.n0i.6
- automatic rebuild (perl 5.8.6)

* Tue Jan 04 2005 Marius Feraru <altblue@n0i.net> 0:1.25-1.n0i.5
- version 1.25

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.00-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Thu May 06 2004 Marius Feraru <altblue@n0i.net> 0:1.00-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Sun Mar 21 2004 Marius Feraru <altblue@n0i.net> 0:1.00-1.n0i.1
- version 1.00
- spec file (re?)created using N0i::CPAN::RPMizer/2004032002
